unit schCobrosClienteServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schCobrosClienteClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_DarReferenciaDelta = '{6685DAE3-570A-4E57-9CC2-8FAF67201C5B}';
  RID_CobrosClienteDelta = '{C69DD0CB-A17C-4D03-A340-5A9432AA2954}';
  RID_CobrosCliente_RefreshDelta = '{300B0707-3540-440A-90CF-80A18EDDA936}';

type
  { IDarReferenciaDelta }
  IDarReferenciaDelta = interface(IDarReferencia)
  ['{6685DAE3-570A-4E57-9CC2-8FAF67201C5B}']
    { Property getters and setters }
    function GetOldVALORValue : String;

    { Properties }
    property OldVALOR : String read GetOldVALORValue;
  end;

  { TDarReferenciaBusinessProcessorRules }
  TDarReferenciaBusinessProcessorRules = class(TDABusinessProcessorRules, IDarReferencia, IDarReferenciaDelta)
  private
  protected
    { Property getters and setters }
    function GetVALORValue: String; virtual;
    function GetOldVALORValue: String; virtual;
    procedure SetVALORValue(const aValue: String); virtual;

    { Properties }
    property VALOR : String read GetVALORValue write SetVALORValue;
    property OldVALOR : String read GetOldVALORValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { ICobrosClienteDelta }
  ICobrosClienteDelta = interface(ICobrosCliente)
  ['{C69DD0CB-A17C-4D03-A340-5A9432AA2954}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldID_MONTAJEValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldFECHA_COBROValue : DateTime;
    function GetOldDESCRIPCIONValue : String;
    function GetOldIMPORTEValue : Float;
    function GetOldFORMA_PAGOValue : String;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldNOMBREValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldFECHA_COBRO : DateTime read GetOldFECHA_COBROValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldIMPORTE : Float read GetOldIMPORTEValue;
    property OldFORMA_PAGO : String read GetOldFORMA_PAGOValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
  end;

  { TCobrosClienteBusinessProcessorRules }
  TCobrosClienteBusinessProcessorRules = class(TDABusinessProcessorRules, ICobrosCliente, ICobrosClienteDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    function GetOldID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetFECHA_COBROValue: DateTime; virtual;
    function GetOldFECHA_COBROValue: DateTime; virtual;
    procedure SetFECHA_COBROValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetIMPORTEValue: Float; virtual;
    function GetOldIMPORTEValue: Float; virtual;
    procedure SetIMPORTEValue(const aValue: Float); virtual;
    function GetFORMA_PAGOValue: String; virtual;
    function GetOldFORMA_PAGOValue: String; virtual;
    procedure SetFORMA_PAGOValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property ID_MONTAJE : Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property FECHA_COBRO : DateTime read GetFECHA_COBROValue write SetFECHA_COBROValue;
    property OldFECHA_COBRO : DateTime read GetOldFECHA_COBROValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property IMPORTE : Float read GetIMPORTEValue write SetIMPORTEValue;
    property OldIMPORTE : Float read GetOldIMPORTEValue;
    property FORMA_PAGO : String read GetFORMA_PAGOValue write SetFORMA_PAGOValue;
    property OldFORMA_PAGO : String read GetOldFORMA_PAGOValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { ICobrosCliente_RefreshDelta }
  ICobrosCliente_RefreshDelta = interface(ICobrosCliente_Refresh)
  ['{300B0707-3540-440A-90CF-80A18EDDA936}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldID_MONTAJEValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldFECHA_COBROValue : DateTime;
    function GetOldDESCRIPCIONValue : String;
    function GetOldIMPORTEValue : Float;
    function GetOldFORMA_PAGOValue : String;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldNOMBREValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldFECHA_COBRO : DateTime read GetOldFECHA_COBROValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldIMPORTE : Float read GetOldIMPORTEValue;
    property OldFORMA_PAGO : String read GetOldFORMA_PAGOValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
  end;

  { TCobrosCliente_RefreshBusinessProcessorRules }
  TCobrosCliente_RefreshBusinessProcessorRules = class(TDABusinessProcessorRules, ICobrosCliente_Refresh, ICobrosCliente_RefreshDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    function GetOldID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetFECHA_COBROValue: DateTime; virtual;
    function GetOldFECHA_COBROValue: DateTime; virtual;
    procedure SetFECHA_COBROValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetIMPORTEValue: Float; virtual;
    function GetOldIMPORTEValue: Float; virtual;
    procedure SetIMPORTEValue(const aValue: Float); virtual;
    function GetFORMA_PAGOValue: String; virtual;
    function GetOldFORMA_PAGOValue: String; virtual;
    procedure SetFORMA_PAGOValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property ID_MONTAJE : Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property FECHA_COBRO : DateTime read GetFECHA_COBROValue write SetFECHA_COBROValue;
    property OldFECHA_COBRO : DateTime read GetOldFECHA_COBROValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property IMPORTE : Float read GetIMPORTEValue write SetIMPORTEValue;
    property OldIMPORTE : Float read GetOldIMPORTEValue;
    property FORMA_PAGO : String read GetFORMA_PAGOValue write SetFORMA_PAGOValue;
    property OldFORMA_PAGO : String read GetOldFORMA_PAGOValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TDarReferenciaBusinessProcessorRules }
constructor TDarReferenciaBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TDarReferenciaBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TDarReferenciaBusinessProcessorRules.GetVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DarReferenciaVALOR];
end;

function TDarReferenciaBusinessProcessorRules.GetOldVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DarReferenciaVALOR];
end;

procedure TDarReferenciaBusinessProcessorRules.SetVALORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DarReferenciaVALOR] := aValue;
end;


{ TCobrosClienteBusinessProcessorRules }
constructor TCobrosClienteBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TCobrosClienteBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TCobrosClienteBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteID];
end;

function TCobrosClienteBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteID];
end;

procedure TCobrosClienteBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteID] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteID_EMPRESA];
end;

function TCobrosClienteBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteID_EMPRESA];
end;

procedure TCobrosClienteBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteID_EMPRESA] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteID_CLIENTE];
end;

function TCobrosClienteBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteID_CLIENTE];
end;

procedure TCobrosClienteBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteID_CLIENTE] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteID_MONTAJE];
end;

function TCobrosClienteBusinessProcessorRules.GetOldID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteID_MONTAJE];
end;

procedure TCobrosClienteBusinessProcessorRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteID_MONTAJE] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteREFERENCIA];
end;

function TCobrosClienteBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteREFERENCIA];
end;

procedure TCobrosClienteBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteREFERENCIA] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetFECHA_COBROValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteFECHA_COBRO];
end;

function TCobrosClienteBusinessProcessorRules.GetOldFECHA_COBROValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteFECHA_COBRO];
end;

procedure TCobrosClienteBusinessProcessorRules.SetFECHA_COBROValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteFECHA_COBRO] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteDESCRIPCION];
end;

function TCobrosClienteBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteDESCRIPCION];
end;

procedure TCobrosClienteBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteDESCRIPCION] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetIMPORTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteIMPORTE];
end;

function TCobrosClienteBusinessProcessorRules.GetOldIMPORTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteIMPORTE];
end;

procedure TCobrosClienteBusinessProcessorRules.SetIMPORTEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteIMPORTE] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetFORMA_PAGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteFORMA_PAGO];
end;

function TCobrosClienteBusinessProcessorRules.GetOldFORMA_PAGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteFORMA_PAGO];
end;

procedure TCobrosClienteBusinessProcessorRules.SetFORMA_PAGOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteFORMA_PAGO] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteFECHA_ALTA];
end;

function TCobrosClienteBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteFECHA_ALTA];
end;

procedure TCobrosClienteBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteFECHA_ALTA] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteFECHA_MODIFICACION];
end;

function TCobrosClienteBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteFECHA_MODIFICACION];
end;

procedure TCobrosClienteBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteFECHA_MODIFICACION] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteUSUARIO];
end;

function TCobrosClienteBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteUSUARIO];
end;

procedure TCobrosClienteBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteUSUARIO] := aValue;
end;

function TCobrosClienteBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteNOMBRE];
end;

function TCobrosClienteBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosClienteNOMBRE];
end;

procedure TCobrosClienteBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosClienteNOMBRE] := aValue;
end;


{ TCobrosCliente_RefreshBusinessProcessorRules }
constructor TCobrosCliente_RefreshBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TCobrosCliente_RefreshBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshID];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshID];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshID] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshID_EMPRESA];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshID_EMPRESA];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshID_EMPRESA] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshID_CLIENTE];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshID_CLIENTE];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshID_CLIENTE] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshID_MONTAJE];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshID_MONTAJE];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshID_MONTAJE] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshREFERENCIA];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshREFERENCIA];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshREFERENCIA] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetFECHA_COBROValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshFECHA_COBRO];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldFECHA_COBROValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshFECHA_COBRO];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetFECHA_COBROValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshFECHA_COBRO] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshDESCRIPCION];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshDESCRIPCION];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshDESCRIPCION] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetIMPORTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshIMPORTE];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldIMPORTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshIMPORTE];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetIMPORTEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshIMPORTE] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetFORMA_PAGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshFORMA_PAGO];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldFORMA_PAGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshFORMA_PAGO];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetFORMA_PAGOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshFORMA_PAGO] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshFECHA_ALTA];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshFECHA_ALTA];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshFECHA_ALTA] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshFECHA_MODIFICACION];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshFECHA_MODIFICACION];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshFECHA_MODIFICACION] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshUSUARIO];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshUSUARIO];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshUSUARIO] := aValue;
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshNOMBRE];
end;

function TCobrosCliente_RefreshBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CobrosCliente_RefreshNOMBRE];
end;

procedure TCobrosCliente_RefreshBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CobrosCliente_RefreshNOMBRE] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_DarReferenciaDelta, TDarReferenciaBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_CobrosClienteDelta, TCobrosClienteBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_CobrosCliente_RefreshDelta, TCobrosCliente_RefreshBusinessProcessorRules);

end.
